Diffstat generation chokes on binaries (and others)

Bug #436325 reported by Tim Penhey on 2009-09-25
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Bazaar
Medium
Aaron Bentley
2.0
Medium
Aaron Bentley
Launchpad itself
High
Aaron Bentley

Bug Description

From the first day of preview-diff generation:

1 MalformedPatchHeader: Malformed patch header. No orig name 'Binary files lib/sltv.jar\\t1970-01-01 00:00:00 +0000 and lib/sltv.jar\\t2009-09-22 13:19:02 +0000 differ\\n'
Other: 1 Robots: 0 Local: 0
     OOPS-1363MPCJ3

1 MalformedHunkHeader: Malformed hunk header. Does not match format. '+DROP TABLE t1;\\n'
Other: 1 Robots: 0 Local: 0
     OOPS-1363MPCJ2

1 MalformedHunkHeader: Malformed hunk header. Does not match format. 'Binary files src/vagon/arm/media/css/blueprint/src/grid.png\\t2009-08-14 14:44:00 +0000 and src/vagon/arm/media/css/blueprint/src/grid.png\\t2009-09-08 20:08:06 +0000 differ\\n'
Other: 1 Robots: 0 Local: 0
     OOPS-1363MPCJ1

Related branches

John A Meinel (jameinel) on 2009-11-02
Changed in bzr:
assignee: nobody → Aaron Bentley (abentley)
milestone: none → 2.1.0b2
status: New → Fix Released
Aaron Bentley (abentley) on 2009-11-04
Changed in bzr:
status: Fix Released → Fix Committed
milestone: 2.1.0b2 → none
John A Meinel (jameinel) on 2009-12-14
Changed in bzr:
importance: Undecided → Medium
milestone: none → 2.1.0b4
status: Fix Committed → Fix Released
Tom Haddon (mthaddon) on 2010-05-28
tags: added: canonical-losa-lp
Paul Hummer (rockstar) on 2010-08-06
Changed in launchpad-code:
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers